Opened 6 years ago

Closed 6 years ago

#1788 closed unknown (worksforme)

OSM: Can't pane map with Aurora (Firefox 18.0a2)

Reported by: shevek Owned by:
Priority: minor Milestone: unassigned
Component: BW Geo Keywords:
Cc:

Description

Might be a problem with the early version but paning on openstreetmap.org works fine.

Change History (6)

comment:1 Changed 6 years ago by globetrotter_tt

Hmmmm, should we open tickets for unstable browsers? I'd rather close this ticket for now as i think Aurora is not made for productive use.

comment:2 Changed 6 years ago by mahouni

openstreetmap.org uses openlayers not leaflet.

please test if it works for instance here: http://leaflet.cloudmade.com/

I'd also remove this ticket from milestone 1.2, if that's okay..

comment:3 Changed 6 years ago by crumbking

+1

comment:4 Changed 6 years ago by planetcruiser

  • Milestone changed from 1.2 to unassigned

this is not critical for the osm release. i just tested with firefox 16 on ubuntu and android and it works fine.

either way, it's very likely that this is an incompatibility between leaflet and firefox 18alpha, so nothing to do with rox.

shevek, did you test aurora with http://leaflet.cloudmade.com/ ? if panning there also not working, i would close this ticket here as "invalid", because it's an upstream issue

comment:5 Changed 6 years ago by shevek

I just leaflet.cloudmade.com on Aurora (18.0a2) and it doesn't work there either.

They just released 0.4.5 for Chrome 23. But that obviously didn't affect this.

How do we upgrade to the newest version? 0.5 is expected mid November.

comment:6 Changed 6 years ago by shevek

  • Resolution set to worksforme
  • Status changed from new to closed

Panning works fine with Firefox 19.0a2 :-) Closing.

Note: See TracTickets for help on using tickets.